Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0006187OCamlOCamlbuild (the tool)public2013-09-21 19:532014-03-20 16:54
Reporterjpdeplaix 
Assigned Togasche 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version4.01.0 
Target VersionFixed in Version4.02.0+dev 
Summary0006187: Add a warning when using -plugin-tag(s) without myocamlbuild.ml
DescriptionIf I'm right, the -plugin-tag(s) option is inefficient when using without a myocamlbuild.ml. It would be great to have a warning in case of the file would be not there.
Additional InformationThe attached patch fixes this issue.
Tagspatch
Attached Filespatch file icon warn_plugin_tags.patch [^] (515 bytes) 2013-09-21 19:53 [Show Content]

- Relationships

-  Notes
(0010391)
gasche (developer)
2013-09-21 22:10

I'm not sure what you mean by "is inefficient"; the -plugin-tags option is, semantically, independent from -use-ocamlfind, as you can specify any kind of tags ocamlbuild understands. If you don't pass -use-ocamlfind you cannot use the parametrized tags "package(foo)", just like in the _tags file -- and I think there is a warning about the surprising arity.
(0010393)
jpdeplaix (reporter)
2013-09-22 01:45

Mmh, I'm not sure :/ How -use-ocamlfind is linked to what I'm asking ?
(0010394)
gasche (developer)
2013-09-22 02:56

Sorry, I misread the report as "inefficient when used without ocamlfind".
(0011068)
gasche (developer)
2014-03-20 16:54

Included in trunk (14475).

- Issue History
Date Modified Username Field Change
2013-09-21 19:53 jpdeplaix New Issue
2013-09-21 19:53 jpdeplaix File Added: warn_plugin_tags.patch
2013-09-21 22:10 gasche Note Added: 0010391
2013-09-21 22:11 gasche Assigned To => gasche
2013-09-21 22:11 gasche Status new => feedback
2013-09-22 01:45 jpdeplaix Note Added: 0010393
2013-09-22 01:45 jpdeplaix Status feedback => assigned
2013-09-22 02:56 gasche Note Added: 0010394
2013-10-06 14:56 jpdeplaix Tag Attached: patch
2014-03-20 16:54 gasche Note Added: 0011068
2014-03-20 16:54 gasche Status assigned => resolved
2014-03-20 16:54 gasche Fixed in Version => 4.02.0+dev
2014-03-20 16:54 gasche Resolution open => fixed


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker